package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 从业人员信息变更记录对象 t_employed_people_info_changelog
 *
 * @author zehong
 * @date 2026-03-10
 */
public class TEmployedPeopleInfoChangelog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String employedPeopleName;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 变更前 */
    @Excel(name = "变更前")
    private String beforeChange;

    /** 变更后 */
    @Excel(name = "变更后")
    private String afterChange;

    /** 是否删除(0正常，1删除) */
    @Excel(name = "是否删除(0正常，1删除)")
    private String isDel;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEmployedPeopleName(String employedPeopleName)
    {
        this.employedPeopleName = employedPeopleName;
    }

    public String getEmployedPeopleName()
    {
        return employedPeopleName;
    }
    public void setIdCard(String idCard)
    {
        this.idCard = idCard;
    }

    public String getIdCard()
    {
        return idCard;
    }
    public void setBeforeChange(String beforeChange)
    {
        this.beforeChange = beforeChange;
    }

    public String getBeforeChange()
    {
        return beforeChange;
    }
    public void setAfterChange(String afterChange)
    {
        this.afterChange = afterChange;
    }

    public String getAfterChange()
    {
        return afterChange;
    }
    public void setIsDel(String isDel)
    {
        this.isDel = isDel;
    }

    public String getIsDel()
    {
        return isDel;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("employedPeopleName", getEmployedPeopleName())
                .append("idCard", getIdCard())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("beforeChange", getBeforeChange())
                .append("afterChange", getAfterChange())
                .append("isDel", getIsDel())
                .append("remarks", getRemarks())
                .toString();
    }
}